Skip to main content
GET
/
v1
/
chatting
/
{chatbotId}
/
threads
List Threads
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/threads \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "threads": [
      {
        "id": "<string>",
        "chatbotId": "<string>",
        "visitorId": "<string>",
        "title": "<string>",
        "anonymous": true,
        "unreadMessagesCount": 123,
        "escalated": true,
        "important": true,
        "resolved": true,
        "archived": true,
        "tags": [
          "<string>"
        ],
        "positiveCount": 123,
        "negativeCount": 123,
        "platformSource": "<string>",
        "startedAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "endedAt": "2023-11-07T05:31:56Z",
        "visitorName": "<string>",
        "visitorEmail": "<string>",
        "visitorPhone": "<string>",
        "botIconSrc": "<string>",
        "userIconSrc": "<string>",
        "agentIconSrc": "<string>",
        "bubbleIconSrc": "<string>",
        "llmModel": {
          "id": "<string>",
          "provider": "<string>",
          "title": "<string>"
        }
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Query Parameters

page
integer
default:1
limit
integer
default:20
mode
enum<string>

Filter by chat mode: AI, AGENT, or HUMAN

Available options:
AI,
AGENT,
HUMAN
resolved
boolean
archived
boolean
escalated
boolean
important
boolean
anonymous
boolean
llmModelId
string

Response

Success

success
boolean
Example:

true

data
object